# push-to-dokku

Action to push a remote repository to Dokku.

## Usage

```
uses: https://lmika.dev/actions/push-to-dokku@v1.1
with:
  app: dokku-app-name
  host: dokku-host
  private-key: SSH key
```

Parameters are:

- `host`: hostname of the Dokku instance to push the application to.
- `app`: the Dokku application name.
- `private-key`: the private SSH key
- `source-branch`: the code branch to push (default = `main`)
- `target-branch`: the Dokku branch to push to (default = same as source-branch)

This action requires Go 1.22.4 or later.

This action will write the private key to the .ssh instance and will push to the remote repository as the `dokku`
user. Both the source and target branch must be `main`.
