package main

import "log"

func main() {
	cfg := readConfig()
	log.Println("Reading config")
	log.Printf(" .. host = %v", cfg.HostName)
	log.Printf(" .. app = %v", cfg.AppName)

	svc := NewServices(cfg)

	if err := svc.AddPrivateKey(); err != nil {
		log.Fatal(err)
	}

	if err := svc.ConfigureSSH(); err != nil {
		log.Fatal(err)
	}

	if err := svc.PushRepository(); err != nil {
		log.Fatal(err)
	}
}
